_SETTINGS:SetPlayerMenuOff()

local tankerRoosevelt=RECOVERYTANKER:New("USS Theodore Roosevelt", "Shell Roosevelt @IFF:(70)7462FR") -- Note Az 2020-12-07: InitKeepUnitNames(KeepUnitNames) doesn't want to work here, so placing the @IFF in the groupname is a workaround (as unitname = groupname when spawned by Airboss) 
tankerRoosevelt:SetTakeoffAir()
tankerRoosevelt:SetRadio(138.300)
tankerRoosevelt:SetModex(511)
tankerRoosevelt:SetTACAN(43,"SL2")
tankerRoosevelt:SetCallsign(3,2) -- 3 = Shell name for Tankers (refer to https://wiki.hoggitworld.com/view/DCS_command_setCallsign); 2 = will be the second group of Shell; so callsign in DCS will be Shell 2-1
tankerRoosevelt:__Start(1)

local pedroRoosevelt=RESCUEHELO:New("USS Theodore Roosevelt", "Pedro Roosevelt")
pedroRoosevelt:SetHomeBase(AIRBASE:FindByName("USS Port Royal"))
pedroRoosevelt:SetModex(44)
pedroRoosevelt:SetAltitude(60)
pedroRoosevelt:SetOffsetZ(-250)
pedroRoosevelt:__Start(1)
  
local airbossRoosevelt=AIRBOSS:New("USS Theodore Roosevelt")
airbossRoosevelt:SetSoundfilesFolder("Airboss Soundfiles/")
airbossRoosevelt:SetDespawnOnEngineShutdown()
airbossRoosevelt:SetMaxFlightsPerStack(1)
airbossRoosevelt:SetMaxMarshalStacks(20)
airbossRoosevelt:SetMaxSectionSize(4)
airbossRoosevelt:SetLSORadio(337.200)
airbossRoosevelt:SetMarshalRadio(334.200)
airbossRoosevelt:SetICLS(11)
airbossRoosevelt:SetTACAN(71,"X","THR")
airbossRoosevelt:SetHandleAIOFF()
airbossRoosevelt:SetDefaultPlayerSkill(AIRBOSS.Difficulty.EASY)
airbossRoosevelt:SetAirbossNiceGuy(true)
airbossRoosevelt:SetEmergencyLandings(true)
airbossRoosevelt:SetPatrolAdInfinitum(true)
airbossRoosevelt:SetCarrierControlledArea(50)
airbossRoosevelt:SetMenuRecovery(300, 25, true, 0)
airbossRoosevelt:SetRadioRelayLSO("Relay Roosevelt")
airbossRoosevelt:SetHoldingOffsetAngle(0)
airbossRoosevelt:Start()

function tankerRoosevelt:OnAfterStart(From,Event,To)
  airbossRoosevelt:SetRecoveryTanker(tankerRoosevelt)  
end

function pedroRoosevelt:OnAfterStart(From,Event,To)
  airbossRoosevelt:SetRadioRelayMarshal(self:GetUnitName())
end